UNIT KeyTools;

INTERFACE

CONST
   ExtractSet : set of char = ['.','#','''','"','-'];
   NumberSet : set of char = ['0','1','2','3','4','5','6','7','8','9'];

TYPE
   WordTblType = array [1..50] of string[8];

var
   WordTbl : ^WordTblType;
   WordTblEnd : byte;
   InString : String;

FUNCTION InTable(VAR Fword;VAR Stable; tsize: integer) : Boolean;
{ Do a binary search for the word Fword from table STable which contains
  TSize elements.  If the word exists in the table return True, else
  return False.                                                           }

FUNCTION less(x, y : integer) : integer;
{ Return whichever is less x or y                                         }

FUNCTION ExtractChar(InStr : string) : string;

PROCEDURE ParseString(var InString: String);
{ Pull the words from the input string (InString) and place them, in order
  into the table pointed at by WordTbl.  If there is an '|' in the line
  do not parse past it.  This allows for comments in the name or address
  line.                                                                    }

PROCEDURE StripWord(Which : Byte);
{ Remove the word pointed at by 'Which' from the table WordTbl.            }

FUNCTION Soundx(word : string; cnt : integer) : string;

function extword(wordnum : byte; instr : string) : string;

function CntWord(InStr : string) : Integer;

Function Upper(Str:string):string;

IMPLEMENTATION
