UNIT NameKey;
(*********************************************************************)
(*                     NameKey By C. Franz                           *)
(*     Copyright (c) 1988, By Carl Franz & JFL Consulting            *)
(*                                                                   *)
(*                       KeyMaker V2.0                               *)
(*                                                                   *)
(*  Purpose: Create a database hash key from a string which          *)
(*           contains a name.   None of this multiple field          *)
(*           name crap (First Name, Last Name, Middle Init           *)
(*           as seporate fields crap.  Just type it in as you        *)
(*           would on an envelope.                                   *)
(*                                                                   *)
(*           Basicly it parses a string into words, throws           *)
(*           out Buzz words like Mr., Mrs., Ms., etc. and            *)
(*           creates a phonetic key from the rest of the             *)
(*           name.  Last name, 5 characters, First Name,             *)
(*           4 characters, Middle initial.   This phonetic           *)
(*           key is then returned as a 10 byte STRING.               *)
(*                                                                   *)
(*********************************************************************)

INTERFACE

USES StrnTTT5, KeyTools;

FUNCTION NameToKey(name : string) : string;
{ Makes a Soundex key from a string containing a name }

